## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDiagramUpdater

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreDiagramUpdater

    public class EcoreDiagramUpdater

extends java.lang.Object

Constructor Summary
`EcoreDiagramUpdater()`

Method Summary
`static java.util.List` `getContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEAnnotation_1003ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEAnnotation_1003IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEAnnotation_1003OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEAnnotationDetails_5007SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEAttribute_2001ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEAttribute_2001IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEAttribute_2001OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClass_1001ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClass_1001IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClass_1001OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClass_2003ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClass_2003IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClass_2003OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClassAttributes_5001SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClassAttributes_5004SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClassOperations_5002SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEClassOperations_5005SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEDataType_1004ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEDataType_1004IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEDataType_1004OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEDataType_2004ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEDataType_2004IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEDataType_2004OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnum_1005ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnum_1005IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnum_1005OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnum_2005ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnum_2005IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnum_2005OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnumLiteral_2006ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnumLiteral_2006IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnumLiteral_2006OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnumLiterals_5006SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEEnumLiterals_5008SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEOperation_2002ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEOperation_2002IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEOperation_2002OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEPackage_1002ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEPackage_1002IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEPackage_1002OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEPackage_79ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEPackage_79SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEPackageContents_5003SemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEReference_3002ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEReference_3002IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEReference_3002OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEStringToStringMapEntry_2007ContainedLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEStringToStringMapEntry_2007IncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getEStringToStringMapEntry_2007OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getIncomingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getOutgoingLinks(org.eclipse.gmf.runtime.notation.View view)`
`static java.util.List` `getSemanticChildren(org.eclipse.gmf.runtime.notation.View view)`
`static boolean` `isShortcutOrphaned(org.eclipse.gmf.runtime.notation.View view)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreDiagramUpdater

    public EcoreDiagramUpdater()

Method Detail

### isShortcutOrphaned

    public static boolean isShortcutOrphaned(org.eclipse.gmf.runtime.notation.View view)

### getSemanticChildren

    public static java.util.List getSemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEClassAttributes_5001SemanticChildren

    public static java.util.List getEClassAttributes_5001SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEClassOperations_5002SemanticChildren

    public static java.util.List getEClassOperations_5002SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEPackageContents_5003SemanticChildren

    public static java.util.List getEPackageContents_5003SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEClassAttributes_5004SemanticChildren

    public static java.util.List getEClassAttributes_5004SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEClassOperations_5005SemanticChildren

    public static java.util.List getEClassOperations_5005SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEEnumLiterals_5006SemanticChildren

    public static java.util.List getEEnumLiterals_5006SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEAnnotationDetails_5007SemanticChildren

    public static java.util.List getEAnnotationDetails_5007SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEEnumLiterals_5008SemanticChildren

    public static java.util.List getEEnumLiterals_5008SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getEPackage_79SemanticChildren

    public static java.util.List getEPackage_79SemanticChildren(org.eclipse.gmf.runtime.notation.View view)

### getContainedLinks

    public static java.util.List getContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getIncomingLinks

    public static java.util.List getIncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getOutgoingLinks

    public static java.util.List getOutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEPackage_79ContainedLinks

    public static java.util.List getEPackage_79ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEClass_1001ContainedLinks

    public static java.util.List getEClass_1001ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEPackage_1002ContainedLinks

    public static java.util.List getEPackage_1002ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEAnnotation_1003ContainedLinks

    public static java.util.List getEAnnotation_1003ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEDataType_1004ContainedLinks

    public static java.util.List getEDataType_1004ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnum_1005ContainedLinks

    public static java.util.List getEEnum_1005ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEAttribute_2001ContainedLinks

    public static java.util.List getEAttribute_2001ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEOperation_2002ContainedLinks

    public static java.util.List getEOperation_2002ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEClass_2003ContainedLinks

    public static java.util.List getEClass_2003ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEDataType_2004ContainedLinks

    public static java.util.List getEDataType_2004ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnum_2005ContainedLinks

    public static java.util.List getEEnum_2005ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnumLiteral_2006ContainedLinks

    public static java.util.List getEEnumLiteral_2006ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEStringToStringMapEntry_2007ContainedLinks

    public static java.util.List getEStringToStringMapEntry_2007ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEReference_3002ContainedLinks

    public static java.util.List getEReference_3002ContainedLinks(org.eclipse.gmf.runtime.notation.View view)

### getEClass_1001IncomingLinks

    public static java.util.List getEClass_1001IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEPackage_1002IncomingLinks

    public static java.util.List getEPackage_1002IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEAnnotation_1003IncomingLinks

    public static java.util.List getEAnnotation_1003IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEDataType_1004IncomingLinks

    public static java.util.List getEDataType_1004IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnum_1005IncomingLinks

    public static java.util.List getEEnum_1005IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEAttribute_2001IncomingLinks

    public static java.util.List getEAttribute_2001IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEOperation_2002IncomingLinks

    public static java.util.List getEOperation_2002IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEClass_2003IncomingLinks

    public static java.util.List getEClass_2003IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEDataType_2004IncomingLinks

    public static java.util.List getEDataType_2004IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnum_2005IncomingLinks

    public static java.util.List getEEnum_2005IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnumLiteral_2006IncomingLinks

    public static java.util.List getEEnumLiteral_2006IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEStringToStringMapEntry_2007IncomingLinks

    public static java.util.List getEStringToStringMapEntry_2007IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEReference_3002IncomingLinks

    public static java.util.List getEReference_3002IncomingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEClass_1001OutgoingLinks

    public static java.util.List getEClass_1001OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEPackage_1002OutgoingLinks

    public static java.util.List getEPackage_1002OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEAnnotation_1003OutgoingLinks

    public static java.util.List getEAnnotation_1003OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEDataType_1004OutgoingLinks

    public static java.util.List getEDataType_1004OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnum_1005OutgoingLinks

    public static java.util.List getEEnum_1005OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEAttribute_2001OutgoingLinks

    public static java.util.List getEAttribute_2001OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEOperation_2002OutgoingLinks

    public static java.util.List getEOperation_2002OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEClass_2003OutgoingLinks

    public static java.util.List getEClass_2003OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEDataType_2004OutgoingLinks

    public static java.util.List getEDataType_2004OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnum_2005OutgoingLinks

    public static java.util.List getEEnum_2005OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEEnumLiteral_2006OutgoingLinks

    public static java.util.List getEEnumLiteral_2006OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEStringToStringMapEntry_2007OutgoingLinks

    public static java.util.List getEStringToStringMapEntry_2007OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

### getEReference_3002OutgoingLinks

    public static java.util.List getEReference_3002OutgoingLinks(org.eclipse.gmf.runtime.notation.View view)

Copyright 2007 Anyware Technologies. All Rights Reserved.